Bug 636227 - RFE: No mixer applet on XFCE desktop (F14 Beta RC3)
Summary: RFE: No mixer applet on XFCE desktop (F14 Beta RC3)
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: LiveCD - Xfce
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: F15Target-xfce
TreeView+ depends on / blocked
 
Reported: 2010-09-21 17:09 UTC by Adam Williamson
Modified: 2011-03-13 04:43 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-03-13 04:43:25 UTC


Attachments (Terms of Use)

Description Adam Williamson 2010-09-21 17:09:57 UTC
There's no mixer applet on the XFCE desktop in F14 Beta RC3 (booting / installing from live). This should obviously be fixed for live and install from anaconda. xfce4-mixer is available and works as a panel applet if added manually, seems like the obvious choice.

Comment 1 Adam Williamson 2010-09-21 17:13:44 UTC
Propose as NTH for F14 final.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 2 Kevin Fenzi 2010-10-06 21:03:31 UTC
I would think the following update to our defaults patch would work: 

diff -Nur xfce4-panel-4.6.4.orig/config/panels.xml xfce4-panel-4.6.4/config/panels.xml
--- xfce4-panel-4.6.4.orig/config/panels.xml	2010-05-21 10:57:20.000000000 -0600
+++ xfce4-panel-4.6.4/config/panels.xml	2010-10-06 14:43:49.820155239 -0600
@@ -22,12 +22,15 @@
 			<item name="launcher" id="9"/>
 			<item name="launcher" id="10"/>
 			<item name="tasklist" id="3"/>
+			<item name="xfce4-mixer" id="22"/>
 			<item name="systray" id="4"/>
+			<item name="thunar-tpa" id="21"/>
 			<item name="pager" id="2"/>
 			<item name="showdesktop" id="1"/>
 			<item name="separator" id="11"/>
 			<item name="clock" id="14"/>
 			<item name="separator" id="13"/>
+			<item name="xfswitch-plugin" id="20"/>
 			<item name="actions" id="12"/>
 		</items>
 	</panel>

I tested some here, but in a vm... and it wouldn't display the mixer by default until I added some controls. I would expect it to work on bare hardware, but testing very welcome. 

Scratch build at: http://koji.fedoraproject.org/koji/taskinfo?taskID=2518505

Comment 3 Adam Williamson 2010-10-08 18:41:00 UTC
This was accepted as NTH at the 10-01 blocker review meeting, forgot to update teh bug.

Comment 4 Christoph Wickert 2010-10-13 15:09:41 UTC
I have investigated it further now. It is not possible to do this as the mixer plugin requires the name of the sound card in in it's config file.

$ cat ~/.config/xfce4/panel/xfce4-mixer-plugin-12868747541.rc 
card=PlaybackInternesAudioAnalogStereoPulseAudioMixer
track=Master
command=xfce4-mixer

Evne if we rely on pulseaudio to provide the hardware, this does not work as the name is localized. :(

Where do we go from here?

Comment 5 Kevin Fenzi 2010-10-13 15:31:34 UTC
Well, we could just re-add 'gnome-media' and use gnome-volume-control for now?

I'm not sure how much space it takes... but it might fit. We have a little bit of room.

Comment 6 Adam Williamson 2010-10-13 21:48:11 UTC
can xfce4-mixer be patched to use the default PA device if no card= parameter is specified?



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 7 Kevin Fenzi 2010-10-15 21:50:03 UTC
I'm not seeing any easy way to do that... the killer is the localized card name. ;( 

Without that we could add in defaults to xfconf.

Comment 8 Adam Williamson 2010-10-18 21:25:24 UTC
"the killer is the localized card name"

I mean, could xfce4-mixer be patched so it doesn't *need* a localized card name to be specified? I'm fairly sure this isn't some kind of inherent limitation of PA, it's just how xfce4-mixer happens to have been coded. I don't know the technical ins and outs but I'm pretty sure PA doesn't actually require you to specify a particular card.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 9 Adam Williamson 2010-11-01 23:01:11 UTC
Removing F14 NTH status as F14 is now out.

Remaining open nice-to-have issues do NOT automatically become nice-to-have issues for Fedora 15. If you believe a Fedora 14 issue which was accepted as
nice-to-have but not resolved in time for release should also qualify for
nice-to-have status for Fedora 15, please re-propose it as nice-to-have for
Fedora 15.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 10 Christoph Wickert 2011-03-08 18:07:14 UTC
(In reply to comment #4)
> I have investigated it further now. It is not possible to do this as the mixer
> plugin requires the name of the sound card in in it's config file.

I just figured that this is possible in xfce-mixer 4.8.0. If there is no config, Master of the default (?) soundcard is selected. Not sure if this will work out of the box for people with two soundcards, nevertheless I built an updated package.

Comment 11 Fedora Update System 2011-03-08 18:11:39 UTC
xfce4-panel-4.8.2-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/xfce4-panel-4.8.2-2.fc15

Comment 12 Fedora Update System 2011-03-13 04:43:15 UTC
xfce4-panel-4.8.2-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.